Bug 968611 - gnome-shell crash due to bug in gnome-bluetooth
gnome-shell crash due to bug in gnome-bluetooth
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 18:58 EDT by Juan A. Burgos
Modified: 2013-06-05 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-bluetooth-3.8.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 22:26:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patched working src package (1.29 MB, application/x-rpm)
2013-05-29 19:19 EDT, Juan A. Burgos
no flags Details
Patched working package (77.08 KB, application/x-rpm)
2013-05-29 19:19 EDT, Juan A. Burgos
no flags Details
Patched working lib package (856.21 KB, application/x-rpm)
2013-05-29 19:20 EDT, Juan A. Burgos
no flags Details

  None (edit)
Description Juan A. Burgos 2013-05-29 18:58:22 EDT
Description of problem:

The gnome-bluetooth prevents login in gnome-shell as described upstream here:

https://git.gnome.org/browse/gnome-bluetooth/commit/?id=9932a6316be777d47b89323c9b8ae132c3676830


Version-Release number of selected component (if applicable):

fedora 19 beta


How reproducible:

Always on my hp-compaq notebook, 8510w.


Steps to Reproduce:
1. Try to login
2.
3.

Actual results:

gnome-shell crash 

Expected results:


Additional info:

related to kernel 3.9, fixed upstream.
Comment 1 Juan A. Burgos 2013-05-29 19:19:09 EDT
Created attachment 754581 [details]
Patched working src package
Comment 2 Juan A. Burgos 2013-05-29 19:19:58 EDT
Created attachment 754582 [details]
Patched working package
Comment 3 Juan A. Burgos 2013-05-29 19:20:51 EDT
Created attachment 754583 [details]
Patched working lib  package
Comment 4 Erik van Pienbroek 2013-06-01 06:59:55 EDT
I can confirm this issue. It's also happening on my HP Elitebook 8460p. It makes gnome-shell unusable (as it crashes directly directly after login with the 'oh no' screen). The already mentioned upstream patch fixes this issue. Perhaps this is a candidate for F19-blocker?
Comment 5 Fedora Update System 2013-06-03 09:27:59 EDT
gnome-bluetooth-3.8.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-bluetooth-3.8.1-1.fc19
Comment 6 Fedora Update System 2013-06-04 22:33:46 EDT
Package gnome-bluetooth-3.8.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-bluetooth-3.8.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10044/gnome-bluetooth-3.8.1-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-05 22:26:53 EDT
gnome-bluetooth-3.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.